package org.spagic.smx.components.restart;

/**
 * Exception raised when a managed error is encountered.
 * In this case we dont send a Fault message, but we send an error message in the
 * service response.
 */
public class RestartException extends Exception {
	private static final long serialVersionUID = 1L;
	private long restartedInstanceId;
    private String errorMessage;
    
	public RestartException(long restartedInstanceId, String errorMessage) {
		super();
		this.restartedInstanceId = restartedInstanceId;
		this.errorMessage = errorMessage;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

	public long getRestartedInstanceId() {
		return restartedInstanceId;
	}
	
}
